Subject: Re: [BUG] In git-log, --name-status flag overrides the --patch flag

From: Đoàn Trần Công Danh <[email-masked]>
Date: Mon, 21 Dec 2020 20:16:20 +0700

On 2020-12-20 01:23:05-0300, Érico Rolim <[email-masked]> wrote:
> Hi!
> 
> When using the command
> 
>   git log --patch --name-status
> 
> It seems the name-status flag somehow overrides the patch flag, by which I mean
> that I get the same output as simply running
> 
>   git log --name-status
> 
> It would be nice for the combination of these two flags to work, as it would
> allow one to view both a summary of changed files as well as the changes
> themselves, at the same time.

I'm not arguing if this your expectation is make sense or not,
however, the Documentation says something about "Show only"...

Anyway, --patch-with-raw provides more information than
--patch --name-status combined.
I guess it's too much information?

-- 
Danh